Bug 90070 - rpm --rebuilddb gets an error
Summary: rpm --rebuilddb gets an error
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm   
(Show other bugs)
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-05-01 23:45 UTC by acount closed by user
Modified: 2007-04-18 16:53 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-05 14:21:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
list contents of /var/lib/rpm (2.56 KB, text/plain)
2003-05-03 22:48 UTC, acount closed by user
no flags Details
tail from strace output (15.38 KB, text/plain)
2003-05-03 23:17 UTC, acount closed by user
no flags Details

Description acount closed by user 2003-05-01 23:45:14 UTC
Description of problem:

the system is idle, no users no programs running. 

before I delete all __* file at /var/lib/rpm, but I get the
same error

root@querida rpm]# rpm --rebuilddb
error: db4 error(16) from dbenv->remove: Device or resource busy
--
[root@querida rpm]# pwd
/var/lib/rpm
[root@querida rpm]# ls -l
total 71760
-rw-r--r--    1 rpm      rpm      10641408 May  2 00:17 Basenames
-rw-r--r--    1 rpm      rpm         12288 Apr 26 08:27 Conflictname
-rw-r--r--    1 root     root        16384 May  2 00:50 __db.001
-rw-r--r--    1 root     root      1318912 May  2 00:50 __db.002
-rw-r--r--    1 root     root       458752 May  2 00:50 __db.003
-rw-r--r--    1 rpm      rpm       1560576 May  2 00:10 Dirnames
-rw-r--r--    1 rpm      rpm      10530816 May  2 00:10 Filemd5s
-rw-r--r--    1 rpm      rpm         28672 May  2 00:10 Group
-rw-r--r--    1 rpm      rpm         20480 May  2 00:10 Installtid
-rw-r--r--    1 rpm      rpm         86016 May  2 00:17 Name
-rw-r--r--    1 rpm      rpm      51769344 May  2 00:17 Packages
-rw-r--r--    1 rpm      rpm        327680 May  2 00:10 Providename
-rw-r--r--    1 rpm      rpm        106496 May  2 00:10 Provideversion
-rw-r--r--    1 rpm      rpm         12288 May  2 00:17 Pubkeys
-rw-r--r--    1 rpm      rpm        397312 May  2 00:10 Requirename
-rw-r--r--    1 rpm      rpm        212992 May  2 00:10 Requireversion
-rw-r--r--    1 rpm      rpm        163840 May  2 00:10 Sha1header
-rw-r--r--    1 rpm      rpm         86016 May  2 00:10 Sigmd5
-rw-r--r--    1 rpm      rpm         12288 May  2 00:10 Triggername

Version-Release number of selected component (if applicable):

rh9 with _all_ packages

How reproducible:


Steps to Reproduce:
1.-
2.-
3.-
    
Actual results:


Expected results:


Additional info:

Comment 1 Jeff Johnson 2003-05-02 15:04:35 UTC
Yes, there's an error message. Harmless, ignore.

Comment 2 acount closed by user 2003-05-03 22:45:36 UTC
but it do _nothing_

Comment 3 acount closed by user 2003-05-03 22:48:44 UTC
Created attachment 91489 [details]
list contents of /var/lib/rpm

Comment 4 acount closed by user 2003-05-03 23:17:29 UTC
Created attachment 91490 [details]
tail from strace output

Comment 5 Jeff Johnson 2003-05-05 14:21:55 UTC
Yes, times/use4r/group are all reset to original. Look at the
inode niber using -i.

Comment 6 Jeff Johnson 2003-05-05 14:22:15 UTC
Eeek, "number".

Comment 7 acount closed by user 2003-05-05 18:34:14 UTC
Yes, they was changed

-thank you-


Note You need to log in before you can comment on or make changes to this bug.